Redmine - Defect #4006

undefined method issues_to_pdf
2009-10-08 21:54 - S Banerian

Status: Closed Start date: 2009-10-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Using:

debian lenny

redmine-0.8 (stable), and after svn update to revision 2904
gem install rails -v=2.1.2
ruby 1.8

Attempts to use the issue -> export to pdf gave an error, with the production log trace as follows:

NoMethodError (undefined method “issues_to_pdf' for #<IssuesController:0xb65db6bc>):
/app/controllers/issues_controller.rb:70:in “index'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:131:in “call'
/ust/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:131:in “custom’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:160:in “call'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:160:in “respond'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:154:in “each’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:154:in “respond'
/ust/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/mime_responds.rb:107:in “respond_to'
/app/controllers/issues_controller.rb:66:in “index'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in “send’
/ust/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:1166:in “perform_action_without_filters'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:579:in “call_filters'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:572:in “perform_action_without_benchmark'’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in “perform_action_without_rescue
/usr/lib/ruby/1.8/benchmark.rb:293:in "'measure'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/benchmarking.rb:68:in “perform_action_without_rescue
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/rescue.rb:201:in “perform_action_without_caching'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:13:in “passenger_orig_perform_action'
/ust/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in “cache’
/ust/lib/ruby/gems/1.8/gems/activerecord-2.1.2/lib/active_record/query_cache.rb:8:in “cache'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/caching/sql_cache.rb:12:in “passenger_orig_perform_action'
/var/www/passenger-2.2.4/lib/phusion_passenger/railz/request_handler.rb:64:in “perform_action’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in “send'
/ust/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:529:in “process_without_filters'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/filters.rb:568:in “process_without_session_management_support'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/session_management.rb:130:in “process'
/ust/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/base.rb:389:in “process'
/ust/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:149:in “handle_request’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:107:in “dispatch’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in “synchronize'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:104:in "dispatch’
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:120:in “dispatch_cgi'
/usr/lib/ruby/gems/1.8/gems/actionpack-2.1.2/lib/action_controller/dispatcher.rb:35:in “dispatch’
/var/www/passenger-2.2.4/lib/phusion_passenger/railz/request_handler.rb:49:in “process_request'
/var/www/passenger-2.2.4/lib/phusion_passenger/abstract_request_handler.rb:206:in “main_loop'
/var/www/passenger-2.2.4/lib/phusion_passenger/railz/application_spawner.rb:376:in “start_request_handler'
/var/www/passenger-2.2.4/lib/phusion_passenger/railz/application_spawner.rb:334:in “handle_spawn_application
/var/www/passenger-2.2.4/lib/phusion_passenger/utils.rb:182:in “safe_fork'
/var/www/passenger-2.2.4/lib/phusion_passenger/railz/application_spawner.rb:332:in “handle_spawn_application
/var/www/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:351:in"__send_ '
/var/www/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:351:in “main_loop'
/var/www/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:195:in “start_synchronously'
/var/www/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:162:in “start'
/var/www/passenger-2.2.4/lib/phusion_passenger/railz/application_spawner.rb:213:in “start'
/var/www/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:261:in “spawn_rails_application’
/var/www/passenger-2.2.4/lib/phusion_passenger/abstract_server_collection.rb:126:in “lookup_or_add'
/var/www/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:255:in “spawn_rails_application’
/var/www/passenger-2.2.4/lib/phusion_passenger/abstract_server_collection.rb:80:in “synchronize'
/var/www/passenger-2.2.4/lib/phusion_passenger/abstract_server_collection.rb:79:in “synchronize'
/var/www/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:254:in “spawn_rails_application’
/var/www/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:153:in “spawn_application’
/var/www/passenger-2.2.4/lib/phusion_passenger/spawn_manager.rb:286:in “handle_spawn_application’
/var/www/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:351:in*__send__'
/var/www/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:351:in “main_loop'
/var/www/passenger-2.2.4/lib/phusion_passenger/abstract_server.rb:195:in “start_synchronously'
/var/www/passenger-2.2.4/bin/passenger-spawn-server:61

History

#1 - 2009-10-10 12:33 - Jean-Philippe Lang
| can't reproduce with 0.8-stable @ r2906.

#2 - 2009-10-12 21:30 - S Banerian

if i do a clean

svn co -r 2904 http://redmine.rubyforge.org/svn/branches/0.8-stable redmine-0.8

and copy in the email.yml and database.yml then | cannot duplicate this issue.

the issue-to-pdf does work, but does not include issue columns other than the default (which was the original impetus for the update)

the same failure to get non-default columns is observed when rev 2924 is used.

#3 - 2009-11-04 12:34 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

the same failure to get non-default columns is observed when rev 2924 is used.

This is fixed in trunk, not in 0.8-stable branch.
https://www.redmine.org/projects/redmine/repository/svn/revisions/2906
http://redmine.rubyforge.org/svn/branches/0.8-stable
http://www.tcpdf.org

